package com.changhu.enums;

import com.changhu.enums.handler.*;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:19
 * @desc ClientType...
 */
@Getter
@AllArgsConstructor
public enum ClientType {
    MANAGEMENT_SUPER("超级后台", ManagementSuperLogin.instance),
    MANAGEMENT_POLICE("公安后台", ManagementPoliceUnitLogin.instance),
    MANAGEMENT_SECURITY("保安后台", ManagementSecurityUnitLogin.instance),
    MINI_PROGRAM("微信小程序", MiniProgramUserLogin.instance),
    ;

    private final String remark;
    private final AbstractLoginHandler loginHandler;
}
